/* 
PAI Version 4.02

PAI is a Question Answering System that gains information from a conversation
conducted in a restricted form of the English language.

Copyright (C) 2002 Claudio Scordino (claudio.scordino@quipo.it)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#include "verbs.h"

#define end_code "&%$-end-$%&"

verbs:: ~verbs()
{
	elem* p=head;
	elem* q;
	while (p!=NULL)
	{
		q=p->next;
		delete p;
		p=q;
	}
}

void verbs::load(istream& in)
{
	char string[luninfo];
	in >> string;
	while (strcmp(string,end_code))
	{
			elem* n;
			n=new elem;
			n->next=head;
			head=n;
			strcpy((n->info),string);
			in >> (n->type);
			in >> (n->time);
			in >> string;
	}
}

int verbs:: check(char* s, int& ty, int& ti)
{
	ty=0;
	ti=0;
	if(s==NULL) return 0;
	elem* p=head;
	if (p==NULL) return 0;
	while (p!=NULL)
	{
		if (!strcmp(s,(p->info)))
		{
			ty=(p->type);
			ti=(p->time);
			return 1;
		}
		p=p->next;
	}

	return 0;
}
