/*
PAI Version 4.02

PAI is a Question Answering System that gains information from a conversation
conducted in a restricted form of the English language.

Copyright (C) 2002 Claudio Scordino (claudio.scordino@quipo.it)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/



#define luninfo 20


class words
{
	
	struct elem 
	{
		char info [luninfo];
		elem* next;
	};

	elem* head;

public:
	words() {head=NULL;}
	words(char* s) {head=NULL;(*this)+=s;}
	~words();
	void write();
	void save(ostream& out, int endline);
	int similar (words w1, words w2);
	words& operator= (const words& w); //Operatore di assegnamento
	words (const words& w); //Copy Constructor
	words& operator-= (char* s); //To delete one or more strings
	int change (char* before, char* after); //To change one or more strings
	int check (char* s);
	words& operator+= (char* s); //To append one string
	int operator==(words w); //To compare 2 words
	int split4affermation (int& ty,int& ti, words& o, words& v, words& a);
	int split4interrogation (int& ty,int& ti, words& o, words& v, words& a);
	void join (words w);
	int talking_mirror();
	int reading_mirror();
	char* operator[] (int i);
	/* ATTENTION: this function does NOT allocate memory.
				    Don't delete char*!! */
};
